<html>
<head>
<title>Ogre::BorderRenderable Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1BorderRenderable.html">BorderRenderable</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::BorderRenderable Class Reference<div class="ingroups"><a class="el" href="group__Overlays.html">Overlays</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::BorderRenderable" --><!-- doxytag: inherits="Ogre::Renderable,Ogre::AllocatedObject" -->
<p>Class for rendering the border of a <a class="el" href="classOgre_1_1BorderPanelOverlayElement.html" title="A specialisation of the PanelOverlayElement to provide a panel with a border.">BorderPanelOverlayElement</a>.  
 <a href="classOgre_1_1BorderRenderable.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreBorderPanelOverlayElement_8h_source.html">OgreBorderPanelOverlayElement.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::BorderRenderable:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1BorderRenderable__inherit__graph.gif" border="0" usemap="#Ogre_1_1BorderRenderable_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1BorderRenderable_inherit__map" id="Ogre_1_1BorderRenderable_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement." alt="" coords="5,5,128,35"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="152,5,248,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1BorderRenderable-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderRenderable.html#a70ce2657189a442f5a5b550ef532551c">BorderRenderable</a> (<a class="el" href="classOgre_1_1BorderPanelOverlayElement.html">BorderPanelOverlayElement</a> *parent)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructed with pointers to parent.  <a href="#a70ce2657189a442f5a5b550ef532551c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderRenderable.html#aef8b202f737aba7a64db266fd92583a2">getMaterial</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves a weak reference to the material this renderable object uses.  <a href="#aef8b202f737aba7a64db266fd92583a2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderRenderable.html#aff78b58d992411bed6aa1670fdb4b871">getRenderOperation</a> (<a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> &amp;op)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the render operation required to send this object to the frame buffer.  <a href="#aff78b58d992411bed6aa1670fdb4b871"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderRenderable.html#a47bb4b1a99634b7360a35d5f53f26c9c">getWorldTransforms</a> (<a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *xform) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the world transform matrix / matrices for this renderable object.  <a href="#a47bb4b1a99634b7360a35d5f53f26c9c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderRenderable.html#ab1b34c4ec0b24e6cc3ff71f9979639c8">getNumWorldTransforms</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the number of world transform matrices this renderable requires.  <a href="#ab1b34c4ec0b24e6cc3ff71f9979639c8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderRenderable.html#a630c2fbc8906a3987162cf33543d97cc">getSquaredViewDepth</a> (const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the camera-relative squared depth of this renderable.  <a href="#a630c2fbc8906a3987162cf33543d97cc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__General.html#gaab30ef14aae93306a6044cb38d835f0c">LightList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderRenderable.html#a831563919d777961136da1c706d70ecf">getLights</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a list of lights, ordered relative to how close they are to this renderable.  <a href="#a831563919d777961136da1c706d70ecf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderRenderable.html#a0019a2f8bd469ca970f13ff6f0c24ee7">getPolygonModeOverrideable</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting.  <a href="#a0019a2f8bd469ca970f13ff6f0c24ee7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Technique.html">Technique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#aafcc80b06f8c74eaac3d35e72ca54842">getTechnique</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves a pointer to the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> this renderable object uses.  <a href="#aafcc80b06f8c74eaac3d35e72ca54842"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#afcbf4cb36d5911a9d40a40c57e94f23b">preRender</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sm, <a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *rsys)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called just prior to the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> being rendered.  <a href="#afcbf4cb36d5911a9d40a40c57e94f23b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a77230eea8136b7c296cc0a5db1dba9ee">postRender</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sm, <a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *rsys)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called immediately after the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> has been rendered.  <a href="#a77230eea8136b7c296cc0a5db1dba9ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a4136ce4b9d3add5203339327015d872d">setUseIdentityProjection</a> (bool useIdentityProjection)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether or not to use an 'identity' projection.  <a href="#a4136ce4b9d3add5203339327015d872d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a2a8f061a5f322e0dae2fd6946fc2966f">getUseIdentityProjection</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether or not to use an 'identity' projection.  <a href="#a2a8f061a5f322e0dae2fd6946fc2966f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#ae53cff42a16304f582ef83ad3017d614">setUseIdentityView</a> (bool useIdentityView)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether or not to use an 'identity' view.  <a href="#ae53cff42a16304f582ef83ad3017d614"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a55df8c0a5347d589ee6ef7beaa38806e">getUseIdentityView</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether or not to use an 'identity' view.  <a href="#a55df8c0a5347d589ee6ef7beaa38806e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a1ce8341c18f75ef0b6d818eceea5b2e2">getCastsShadows</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method which reports whether this renderable would normally cast a shadow.  <a href="#a1ce8341c18f75ef0b6d818eceea5b2e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a572c0331ef2ec650d56063fdc17435f5">setCustomParameter</a> (size_t index, const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;value)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets a custom parameter for this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, which may be used to drive calculations for this specific <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, like GPU program parameters.  <a href="#a572c0331ef2ec650d56063fdc17435f5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a0c726a0326e8a7d9e80d030541b6bddf">removeCustomParameter</a> (size_t index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a custom value which is associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index.  <a href="#a0c726a0326e8a7d9e80d030541b6bddf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a1a5dee72d381a14b4af08754b10038ed">hasCustomParameter</a> (size_t index) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks whether a custom value is associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index.  <a href="#a1a5dee72d381a14b4af08754b10038ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a7f5bd1dc9046cb31307ac53914c82fc9">getCustomParameter</a> (size_t index) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the custom value associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index.  <a href="#a7f5bd1dc9046cb31307ac53914c82fc9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a42f520f7ba1c57e10130b81ed444affe">_updateCustomGpuParameter</a> (const <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">GpuProgramParameters::AutoConstantEntry</a> &amp;constantEntry, <a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *params) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Update a custom <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> constant which is derived from information only this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> knows.  <a href="#a42f520f7ba1c57e10130b81ed444affe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a2108dfc322953a7bd429be8b62811e56">setPolygonModeOverrideable</a> (bool override)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting.  <a href="#a2108dfc322953a7bd429be8b62811e56"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a75d842d22f196a307dec5a068709706b">setUserAny</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;anything)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#ab6c834f05d7ad973e22ef726461cfb18">getUserAny</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1UserObjectBindings.html">UserObjectBindings</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a2ed9a2f3c1decac6286f8af974ce2ffc">getUserObjectBindings</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return an instance of user objects binding associated with this class.  <a href="#a2ed9a2f3c1decac6286f8af974ce2ffc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1UserObjectBindings.html">UserObjectBindings</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#ab323ad1058e8a5b1a9863f5b97d3f2ad">getUserObjectBindings</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return an instance of user objects binding associated with this class.  <a href="#ab323ad1058e8a5b1a9863f5b97d3f2ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a3da8b6c45259fc0b6ed7b93e3044464c">getRenderSystemData</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> private data.  <a href="#a3da8b6c45259fc0b6ed7b93e3044464c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#af52784d34aa33c54516292a341058041">setRenderSystemData</a> (<a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a> *val) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> private data.  <a href="#af52784d34aa33c54516292a341058041"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; size_t, <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a91a88d44c3918d174c1d594f9a4c6736">CustomParameterMap</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1BorderPanelOverlayElement.html">BorderPanelOverlayElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BorderRenderable.html#afde127dccc65d54c3a067f76f967ee6f">mParent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Renderable.html#a91a88d44c3918d174c1d594f9a4c6736">CustomParameterMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a7b91506fcf7007e1bf512dade4682731">mCustomParameters</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a4b7b701d41bfd85656829261cbcb3495">mPolygonModeOverrideable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a27ee15aed77a5bf84b2c3f80c060616e">mUseIdentityProjection</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a536d8ef571a7a177d94e8a6203bd0b35">mUseIdentityView</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1UserObjectBindings.html">UserObjectBindings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#aadd56839affa1bd19ac783fe98a08d90">mUserObjectBindings</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Renderable.html#a04ee4d7ea24443e1caee62c99add7956">mRenderSystemData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">User objects binding.  <a href="#a04ee4d7ea24443e1caee62c99add7956"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class for rendering the border of a <a class="el" href="classOgre_1_1BorderPanelOverlayElement.html" title="A specialisation of the PanelOverlayElement to provide a panel with a border.">BorderPanelOverlayElement</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>We need this because we have to render twice, once with the inner panel's repeating material (handled by superclass) and once for the border's separate material. </dd></dl>

<p>Definition at line <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html#l00320">320</a> of file <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html">OgreBorderPanelOverlayElement.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a91a88d44c3918d174c1d594f9a4c6736"></a><!-- doxytag: member="Ogre::BorderRenderable::CustomParameterMap" ref="a91a88d44c3918d174c1d594f9a4c6736" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;size_t, <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&gt;::type <a class="el" href="classOgre_1_1Renderable.html#a91a88d44c3918d174c1d594f9a4c6736">Ogre::Renderable::CustomParameterMap</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00413">413</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a70ce2657189a442f5a5b550ef532551c"></a><!-- doxytag: member="Ogre::BorderRenderable::BorderRenderable" ref="a70ce2657189a442f5a5b550ef532551c" args="(BorderPanelOverlayElement *parent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1BorderRenderable.html#a70ce2657189a442f5a5b550ef532551c">Ogre::BorderRenderable::BorderRenderable</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1BorderPanelOverlayElement.html">BorderPanelOverlayElement</a> *&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructed with pointers to parent. </p>

<p>Definition at line <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html#l00326">326</a> of file <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html">OgreBorderPanelOverlayElement.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a42f520f7ba1c57e10130b81ed444affe"></a><!-- doxytag: member="Ogre::BorderRenderable::_updateCustomGpuParameter" ref="a42f520f7ba1c57e10130b81ed444affe" args="(const GpuProgramParameters::AutoConstantEntry &amp;constantEntry, GpuProgramParameters *params) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Renderable.html#a42f520f7ba1c57e10130b81ed444affe">Ogre::Renderable::_updateCustomGpuParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">GpuProgramParameters::AutoConstantEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>constantEntry</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a> *&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Update a custom <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> constant which is derived from information only this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> knows. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method allows a <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> to map in a custom GPU program parameter based on it's own data. This is represented by a GPU auto parameter of ACT_CUSTOM, and to allow there to be more than one of these per <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, the 'data' field on the auto parameter will identify which parameter is being updated. The implementation of this method must identify the parameter being updated, and call a 'setConstant' method on the passed in <a class="el" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> object, using the details provided in the incoming auto constant setting to identify the index at which to set the parameter. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>You do not need to override this method if you're using the standard sets of data associated with the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> as provided by setCustomParameter and getCustomParameter. By default, the implementation will map from the value indexed by the 'constantEntry.data' parameter to a value previously set by setCustomParameter. But custom Renderables are free to override this if they want, in any case. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">constantEntry</td><td>The auto constant entry referring to the parameter being updated </td></tr>
    <tr><td class="paramname">params</td><td>The parameters object which this method should call to set the updated parameters. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1SubEntity.html#a271214f0a12235cbd2ced91f9f2d28d3">Ogre::SubEntity</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00306">306</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1GpuProgramParameters.html#af9e29d2087c860156de6792405b679d4">Ogre::GpuProgramParameters::_writeRawConstant()</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l01101">Ogre::GpuProgramParameters::AutoConstantEntry::data</a>, <a class="el" href="OgreGpuProgramParams_8h_source.html#l01098">Ogre::GpuProgramParameters::AutoConstantEntry::elementCount</a>, and <a class="el" href="OgreGpuProgramParams_8h_source.html#l01094">Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex</a>.</p>

</div>
</div>
<a class="anchor" id="a1ce8341c18f75ef0b6d818eceea5b2e2"></a><!-- doxytag: member="Ogre::BorderRenderable::getCastsShadows" ref="a1ce8341c18f75ef0b6d818eceea5b2e2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Renderable.html#a1ce8341c18f75ef0b6d818eceea5b2e2">Ogre::Renderable::getCastsShadows</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method which reports whether this renderable would normally cast a shadow. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Subclasses should override this if they could have been used to generate a shadow. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1TerrainQuadTreeNode_1_1Rend.html#ad5b5cceb81f7cdbd6c1a8ad9c5a61674">Ogre::TerrainQuadTreeNode::Rend</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#a136135cd7ce9c03fd996d57fdc99350c">Ogre::InstancedGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#a6c88fc74259edbf600cab80d61c3aae1">Ogre::StaticGeometry::GeometryBucket</a>, and <a class="el" href="classOgre_1_1SubEntity.html#a5ae272c24e46eee8264303694c861a7f">Ogre::SubEntity</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00223">223</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7f5bd1dc9046cb31307ac53914c82fc9"></a><!-- doxytag: member="Ogre::BorderRenderable::getCustomParameter" ref="a7f5bd1dc9046cb31307ac53914c82fc9" args="(size_t index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&amp; <a class="el" href="classOgre_1_1Renderable.html#a7f5bd1dc9046cb31307ac53914c82fc9">Ogre::Renderable::getCustomParameter</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the custom value associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">@see</td><td>setCustomParameter for full details. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00267">267</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00114">Ogre::Exception::ERR_ITEM_NOT_FOUND</a>.</p>

</div>
</div>
<a class="anchor" id="a831563919d777961136da1c706d70ecf"></a><!-- doxytag: member="Ogre::BorderRenderable::getLights" ref="a831563919d777961136da1c706d70ecf" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__General.html#gaab30ef14aae93306a6044cb38d835f0c">LightList</a>&amp; <a class="el" href="classOgre_1_1BorderRenderable.html#a831563919d777961136da1c706d70ecf">Ogre::BorderRenderable::getLights</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets a list of lights, ordered relative to how close they are to this renderable. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Directional lights, which have no position, will always be first on this list. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1Renderable.html#a91a5cc5e517b7c79fa510b9fdcc98691">Ogre::Renderable</a>.</p>

<p>Definition at line <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html#l00336">336</a> of file <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html">OgreBorderPanelOverlayElement.h</a>.</p>

</div>
</div>
<a class="anchor" id="aef8b202f737aba7a64db266fd92583a2"></a><!-- doxytag: member="Ogre::BorderRenderable::getMaterial" ref="aef8b202f737aba7a64db266fd92583a2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&amp; <a class="el" href="classOgre_1_1BorderRenderable.html#aef8b202f737aba7a64db266fd92583a2">Ogre::BorderRenderable::getMaterial</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves a weak reference to the material this renderable object uses. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Note that the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> also has the option to override the getTechnique method to specify a particular <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> to use instead of the best one available. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1Renderable.html#a7132944645c7b62d6b2bfff6a64fad31">Ogre::Renderable</a>.</p>

<p>Definition at line <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html#l00331">331</a> of file <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html">OgreBorderPanelOverlayElement.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab1b34c4ec0b24e6cc3ff71f9979639c8"></a><!-- doxytag: member="Ogre::BorderRenderable::getNumWorldTransforms" ref="ab1b34c4ec0b24e6cc3ff71f9979639c8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1BorderRenderable.html#ab1b34c4ec0b24e6cc3ff71f9979639c8">Ogre::BorderRenderable::getNumWorldTransforms</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the number of world transform matrices this renderable requires. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>When a renderable uses vertex blending, it uses multiple world matrices instead of a single one. Each vertex sent to the pipeline can reference one or more matrices in this list with given weights. If a renderable does not use vertex blending this method returns 1, which is the default for simplicity. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Renderable.html#ab6ecba3943f56182cddf3b3540afc760">Ogre::Renderable</a>.</p>

<p>Definition at line <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html#l00334">334</a> of file <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html">OgreBorderPanelOverlayElement.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0019a2f8bd469ca970f13ff6f0c24ee7"></a><!-- doxytag: member="Ogre::BorderRenderable::getPolygonModeOverrideable" ref="a0019a2f8bd469ca970f13ff6f0c24ee7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1BorderRenderable.html#a0019a2f8bd469ca970f13ff6f0c24ee7">Ogre::BorderRenderable::getPolygonModeOverrideable</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1Renderable.html#a723105bef101e2385747f214348984b5">Ogre::Renderable</a>.</p>

<p>Definition at line <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html#l00342">342</a> of file <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html">OgreBorderPanelOverlayElement.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff78b58d992411bed6aa1670fdb4b871"></a><!-- doxytag: member="Ogre::BorderRenderable::getRenderOperation" ref="aff78b58d992411bed6aa1670fdb4b871" args="(RenderOperation &amp;op)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1BorderRenderable.html#aff78b58d992411bed6aa1670fdb4b871">Ogre::BorderRenderable::getRenderOperation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> &amp;&#160;</td>
          <td class="paramname"><em>op</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the render operation required to send this object to the frame buffer. </p>

<p>Implements <a class="el" href="classOgre_1_1Renderable.html#a3621cee2a019e59d3671c1a204caf4c7">Ogre::Renderable</a>.</p>

<p>Definition at line <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html#l00332">332</a> of file <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html">OgreBorderPanelOverlayElement.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3da8b6c45259fc0b6ed7b93e3044464c"></a><!-- doxytag: member="Ogre::BorderRenderable::getRenderSystemData" ref="a3da8b6c45259fc0b6ed7b93e3044464c" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a>* <a class="el" href="classOgre_1_1Renderable.html#a3da8b6c45259fc0b6ed7b93e3044464c">Ogre::Renderable::getRenderSystemData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> private data. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This should only be used by a <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00398">398</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a630c2fbc8906a3987162cf33543d97cc"></a><!-- doxytag: member="Ogre::BorderRenderable::getSquaredViewDepth" ref="a630c2fbc8906a3987162cf33543d97cc" args="(const Camera *cam) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1BorderRenderable.html#a630c2fbc8906a3987162cf33543d97cc">Ogre::BorderRenderable::getSquaredViewDepth</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the camera-relative squared depth of this renderable. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Used to sort transparent objects. Squared depth is used rather than actual depth to avoid having to perform a square root on the result. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1Renderable.html#a32353addc2f1d02512314b5d1a53c5c1">Ogre::Renderable</a>.</p>

<p>Definition at line <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html#l00335">335</a> of file <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html">OgreBorderPanelOverlayElement.h</a>.</p>

</div>
</div>
<a class="anchor" id="aafcc80b06f8c74eaac3d35e72ca54842"></a><!-- doxytag: member="Ogre::BorderRenderable::getTechnique" ref="aafcc80b06f8c74eaac3d35e72ca54842" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="classOgre_1_1Renderable.html#aafcc80b06f8c74eaac3d35e72ca54842">Ogre::Renderable::getTechnique</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves a pointer to the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> this renderable object uses. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is to allow Renderables to use a chosen <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> if they wish, otherwise they will use the best <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> available for the <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> they are using. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1TerrainQuadTreeNode_1_1Rend.html#a160337745c71798a84afa1b24eb1ed31">Ogre::TerrainQuadTreeNode::Rend</a>, <a class="el" href="group__Scene.html#gad9ff4a4cc1f47bf54938280b381078cf">Ogre::InstanceBatch</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#a613c0b348906e65b0c93b858fbd47b40">Ogre::InstancedGeometry::GeometryBucket</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#acefb31cfffc808d28b6e2e10e821d79a">Ogre::StaticGeometry::GeometryBucket</a>, and <a class="el" href="classOgre_1_1SubEntity.html#aa03a93d06b05ab2c0064ec41dcdd05e4">Ogre::SubEntity</a>.</p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00093">93</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2a8f061a5f322e0dae2fd6946fc2966f"></a><!-- doxytag: member="Ogre::BorderRenderable::getUseIdentityProjection" ref="a2a8f061a5f322e0dae2fd6946fc2966f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#a2a8f061a5f322e0dae2fd6946fc2966f">Ogre::Renderable::getUseIdentityProjection</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether or not to use an 'identity' projection. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Usually <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> objects will use a projection matrix as determined by the active camera. However, if they want they can cancel this out and use an identity projection, which effectively projects in 2D using a {-1, 1} view space. Useful for overlay rendering. Normal renderables need not change this. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Renderable.html#a4136ce4b9d3add5203339327015d872d" title="Sets whether or not to use an &#39;identity&#39; projection.">Renderable::setUseIdentityProjection</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00177">177</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a55df8c0a5347d589ee6ef7beaa38806e"></a><!-- doxytag: member="Ogre::BorderRenderable::getUseIdentityView" ref="a55df8c0a5347d589ee6ef7beaa38806e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#a55df8c0a5347d589ee6ef7beaa38806e">Ogre::Renderable::getUseIdentityView</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns whether or not to use an 'identity' view. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Usually <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> objects will use a view matrix as determined by the active camera. However, if they want they can cancel this out and use an identity matrix, which means all geometry is assumed to be relative to camera space already. Useful for overlay rendering. Normal renderables need not change this. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Renderable.html#ae53cff42a16304f582ef83ad3017d614" title="Sets whether or not to use an &#39;identity&#39; view.">Renderable::setUseIdentityView</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00202">202</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab6c834f05d7ad973e22ef726461cfb18"></a><!-- doxytag: member="Ogre::BorderRenderable::getUserAny" ref="ab6c834f05d7ad973e22ef726461cfb18" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1Any.html">Any</a>&amp; <a class="el" href="classOgre_1_1Renderable.html#ab6c834f05d7ad973e22ef726461cfb18">Ogre::Renderable::getUserAny</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000006">Deprecated:</a></b></dt><dd>use <a class="el" href="classOgre_1_1UserObjectBindings.html#a9c4b12b7ceeddd3a6f28dae1ac8d09a2" title="Retrieves the custom key less user object associated with this class.">UserObjectBindings::getUserAny</a> via <a class="el" href="classOgre_1_1Renderable.html#a2ed9a2f3c1decac6286f8af974ce2ffc" title="Return an instance of user objects binding associated with this class.">getUserObjectBindings()</a> instead.</dd></dl>
<p>Retrieves the custom user value associated with this object. </p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00348">348</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2ed9a2f3c1decac6286f8af974ce2ffc"></a><!-- doxytag: member="Ogre::BorderRenderable::getUserObjectBindings" ref="a2ed9a2f3c1decac6286f8af974ce2ffc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1UserObjectBindings.html">UserObjectBindings</a>&amp; <a class="el" href="classOgre_1_1Renderable.html#a2ed9a2f3c1decac6286f8af974ce2ffc">Ogre::Renderable::getUserObjectBindings</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return an instance of user objects binding associated with this class. </p>
<p>You can use it to associate one or more custom objects with this class instance. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1UserObjectBindings.html#ac6d05bbca44c5c3b44860c36205f9a68" title="Sets any kind of user object on this class instance.">UserObjectBindings::setUserAny</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00354">354</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab323ad1058e8a5b1a9863f5b97d3f2ad"></a><!-- doxytag: member="Ogre::BorderRenderable::getUserObjectBindings" ref="ab323ad1058e8a5b1a9863f5b97d3f2ad" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1UserObjectBindings.html">UserObjectBindings</a>&amp; <a class="el" href="classOgre_1_1Renderable.html#a2ed9a2f3c1decac6286f8af974ce2ffc">Ogre::Renderable::getUserObjectBindings</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return an instance of user objects binding associated with this class. </p>
<p>You can use it to associate one or more custom objects with this class instance. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1UserObjectBindings.html#ac6d05bbca44c5c3b44860c36205f9a68" title="Sets any kind of user object on this class instance.">UserObjectBindings::setUserAny</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00360">360</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a47bb4b1a99634b7360a35d5f53f26c9c"></a><!-- doxytag: member="Ogre::BorderRenderable::getWorldTransforms" ref="a47bb4b1a99634b7360a35d5f53f26c9c" args="(Matrix4 *xform) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1BorderRenderable.html#a47bb4b1a99634b7360a35d5f53f26c9c">Ogre::BorderRenderable::getWorldTransforms</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *&#160;</td>
          <td class="paramname"><em>xform</em></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the world transform matrix / matrices for this renderable object. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If the object has any derived transforms, these are expected to be up to date as long as all the <a class="el" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a> structures have been updated before this is called. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method will populate transform with 1 matrix if it does not use vertex blending. If it does use vertex blending it will fill the passed in pointer with an array of matrices, the length being the value returned from getNumWorldTransforms. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>Internal <a class="el" href="namespaceOgre.html">Ogre</a> never supports non-affine matrix for world transform matrix/matrices, the behavior is undefined if returns non-affine matrix here. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Matrix4.html#a582b20b912ed7d7f8f179505dfbe7a4e" title="Check whether or not the matrix is affine matrix.">Matrix4::isAffine</a>. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1Renderable.html#a897d64f73a5e6ccc45d52a88e86392e1">Ogre::Renderable</a>.</p>

<p>Definition at line <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html#l00333">333</a> of file <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html">OgreBorderPanelOverlayElement.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1a5dee72d381a14b4af08754b10038ed"></a><!-- doxytag: member="Ogre::BorderRenderable::hasCustomParameter" ref="a1a5dee72d381a14b4af08754b10038ed" args="(size_t index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#a1a5dee72d381a14b4af08754b10038ed">Ogre::Renderable::hasCustomParameter</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Checks whether a custom value is associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">@see</td><td>setCustomParameter for full details. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00258">258</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::BorderRenderable::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::BorderRenderable::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::BorderRenderable::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::BorderRenderable::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::BorderRenderable::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::BorderRenderable::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::BorderRenderable::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::BorderRenderable::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::BorderRenderable::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::BorderRenderable::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a77230eea8136b7c296cc0a5db1dba9ee"></a><!-- doxytag: member="Ogre::BorderRenderable::postRender" ref="a77230eea8136b7c296cc0a5db1dba9ee" args="(SceneManager *sm, RenderSystem *rsys)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Renderable.html#a77230eea8136b7c296cc0a5db1dba9ee">Ogre::Renderable::postRender</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td>
          <td class="paramname"><em>sm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&#160;</td>
          <td class="paramname"><em>rsys</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called immediately after the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> has been rendered. </p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00127">127</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="afcbf4cb36d5911a9d40a40c57e94f23b"></a><!-- doxytag: member="Ogre::BorderRenderable::preRender" ref="afcbf4cb36d5911a9d40a40c57e94f23b" args="(SceneManager *sm, RenderSystem *rsys)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1Renderable.html#afcbf4cb36d5911a9d40a40c57e94f23b">Ogre::Renderable::preRender</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td>
          <td class="paramname"><em>sm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&#160;</td>
          <td class="paramname"><em>rsys</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called just prior to the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> being rendered. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>OGRE is a queued renderer, so the actual render commands are executed at a later time than the point at which an object is discovered to be visible. This allows ordering &amp; grouping of renders without the discovery process having to be aware of it. It also means OGRE uses declarative render information rather than immediate mode rendering - this is very useful in that certain effects and processes can automatically be applied to a wide range of scenes, but the downside is that special cases are more difficult to handle, because there is not the declared state to cope with it. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method allows a <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> to do something special at the actual point of rendering if it wishes to. When this method is called, all the material render state as declared by this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> has already been set, all that is left to do is to bind the buffers and perform the render. The <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> may modify render state itself if it wants to (and restore it in the postRender call) before the automated render happens, or by returning 'false' from this method can actually suppress the automatic render and perform one of its own. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if the automatic render should proceed, false to skip it on the assumption that the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> has done it manually. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00122">122</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0c726a0326e8a7d9e80d030541b6bddf"></a><!-- doxytag: member="Ogre::BorderRenderable::removeCustomParameter" ref="a0c726a0326e8a7d9e80d030541b6bddf" args="(size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Renderable.html#a0c726a0326e8a7d9e80d030541b6bddf">Ogre::Renderable::removeCustomParameter</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes a custom value which is associated with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> at the given index. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">@see</td><td>setCustomParameter for full details. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00249">249</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a572c0331ef2ec650d56063fdc17435f5"></a><!-- doxytag: member="Ogre::BorderRenderable::setCustomParameter" ref="a572c0331ef2ec650d56063fdc17435f5" args="(size_t index, const Vector4 &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Renderable.html#a572c0331ef2ec650d56063fdc17435f5">Ogre::Renderable::setCustomParameter</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector4.html">Vector4</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets a custom parameter for this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, which may be used to drive calculations for this specific <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>, like GPU program parameters. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Calling this method simply associates a numeric index with a 4-dimensional value for this specific <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>. This is most useful if the material which this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> uses a vertex or fragment program, and has an ACT_CUSTOM parameter entry. This parameter entry can refer to the index you specify as part of this call, thereby mapping a custom parameter for this renderable to a program parameter. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>The index with which to associate the value. Note that this does not have to start at 0, and can include gaps. It also has no direct correlation with a GPU program parameter index - the mapping between the two is performed by the ACT_CUSTOM entry, if that is used. </td></tr>
    <tr><td class="paramname">value</td><td>The value to associate. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00240">240</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2108dfc322953a7bd429be8b62811e56"></a><!-- doxytag: member="Ogre::BorderRenderable::setPolygonModeOverrideable" ref="a2108dfc322953a7bd429be8b62811e56" args="(bool override)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Renderable.html#a2108dfc322953a7bd429be8b62811e56">Ogre::Renderable::setPolygonModeOverrideable</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>override</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether this renderable's chosen detail level can be overridden (downgraded) by the camera setting. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">override</td><td>true means that a lower camera detail will override this renderables detail level, false means it won't. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00323">323</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="af52784d34aa33c54516292a341058041"></a><!-- doxytag: member="Ogre::BorderRenderable::setRenderSystemData" ref="af52784d34aa33c54516292a341058041" args="(RenderSystemData *val) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Renderable.html#af52784d34aa33c54516292a341058041">Ogre::Renderable::setRenderSystemData</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a> *&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> private data. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This should only be used by a <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00406">406</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4136ce4b9d3add5203339327015d872d"></a><!-- doxytag: member="Ogre::BorderRenderable::setUseIdentityProjection" ref="a4136ce4b9d3add5203339327015d872d" args="(bool useIdentityProjection)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Renderable.html#a4136ce4b9d3add5203339327015d872d">Ogre::Renderable::setUseIdentityProjection</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>useIdentityProjection</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether or not to use an 'identity' projection. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Usually <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> objects will use a projection matrix as determined by the active camera. However, if they want they can cancel this out and use an identity projection, which effectively projects in 2D using a {-1, 1} view space. Useful for overlay rendering. Normal renderables need not change this. The default is false. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Renderable.html#a2a8f061a5f322e0dae2fd6946fc2966f" title="Returns whether or not to use an &#39;identity&#39; projection.">Renderable::getUseIdentityProjection</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00163">163</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae53cff42a16304f582ef83ad3017d614"></a><!-- doxytag: member="Ogre::BorderRenderable::setUseIdentityView" ref="ae53cff42a16304f582ef83ad3017d614" args="(bool useIdentityView)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Renderable.html#ae53cff42a16304f582ef83ad3017d614">Ogre::Renderable::setUseIdentityView</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>useIdentityView</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether or not to use an 'identity' view. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Usually <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> objects will use a view matrix as determined by the active camera. However, if they want they can cancel this out and use an identity matrix, which means all geometry is assumed to be relative to camera space already. Useful for overlay rendering. Normal renderables need not change this. The default is false. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Renderable.html#a55df8c0a5347d589ee6ef7beaa38806e" title="Returns whether or not to use an &#39;identity&#39; view.">Renderable::getUseIdentityView</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00188">188</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a75d842d22f196a307dec5a068709706b"></a><!-- doxytag: member="Ogre::BorderRenderable::setUserAny" ref="a75d842d22f196a307dec5a068709706b" args="(const Any &amp;anything)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Renderable.html#a75d842d22f196a307dec5a068709706b">Ogre::Renderable::setUserAny</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>anything</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000005">Deprecated:</a></b></dt><dd>use <a class="el" href="classOgre_1_1UserObjectBindings.html#ac6d05bbca44c5c3b44860c36205f9a68" title="Sets any kind of user object on this class instance.">UserObjectBindings::setUserAny</a> via <a class="el" href="classOgre_1_1Renderable.html#a2ed9a2f3c1decac6286f8af974ce2ffc" title="Return an instance of user objects binding associated with this class.">getUserObjectBindings()</a> instead.</dd></dl>
<p>Sets any kind of user value on this object. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method allows you to associate any user value you like with this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>. This can be a pointer back to one of your own classes for instance. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00343">343</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a7b91506fcf7007e1bf512dade4682731"></a><!-- doxytag: member="Ogre::BorderRenderable::mCustomParameters" ref="a7b91506fcf7007e1bf512dade4682731" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Renderable.html#a91a88d44c3918d174c1d594f9a4c6736">CustomParameterMap</a> <a class="el" href="classOgre_1_1Renderable.html#a7b91506fcf7007e1bf512dade4682731">Ogre::Renderable::mCustomParameters</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00414">414</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="afde127dccc65d54c3a067f76f967ee6f"></a><!-- doxytag: member="Ogre::BorderRenderable::mParent" ref="afde127dccc65d54c3a067f76f967ee6f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1BorderPanelOverlayElement.html">BorderPanelOverlayElement</a>* <a class="el" href="classOgre_1_1BorderRenderable.html#afde127dccc65d54c3a067f76f967ee6f">Ogre::BorderRenderable::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html#l00323">323</a> of file <a class="el" href="OgreBorderPanelOverlayElement_8h_source.html">OgreBorderPanelOverlayElement.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4b7b701d41bfd85656829261cbcb3495"></a><!-- doxytag: member="Ogre::BorderRenderable::mPolygonModeOverrideable" ref="a4b7b701d41bfd85656829261cbcb3495" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#a4b7b701d41bfd85656829261cbcb3495">Ogre::Renderable::mPolygonModeOverrideable</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00415">415</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a04ee4d7ea24443e1caee62c99add7956"></a><!-- doxytag: member="Ogre::BorderRenderable::mRenderSystemData" ref="a04ee4d7ea24443e1caee62c99add7956" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Renderable_1_1RenderSystemData.html">RenderSystemData</a>* <a class="el" href="classOgre_1_1Renderable.html#a04ee4d7ea24443e1caee62c99add7956">Ogre::Renderable::mRenderSystemData</a><code> [mutable, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>User objects binding. </p>

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00419">419</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a27ee15aed77a5bf84b2c3f80c060616e"></a><!-- doxytag: member="Ogre::BorderRenderable::mUseIdentityProjection" ref="a27ee15aed77a5bf84b2c3f80c060616e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#a27ee15aed77a5bf84b2c3f80c060616e">Ogre::Renderable::mUseIdentityProjection</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00416">416</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="a536d8ef571a7a177d94e8a6203bd0b35"></a><!-- doxytag: member="Ogre::BorderRenderable::mUseIdentityView" ref="a536d8ef571a7a177d94e8a6203bd0b35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Renderable.html#a536d8ef571a7a177d94e8a6203bd0b35">Ogre::Renderable::mUseIdentityView</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00417">417</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<a class="anchor" id="aadd56839affa1bd19ac783fe98a08d90"></a><!-- doxytag: member="Ogre::BorderRenderable::mUserObjectBindings" ref="aadd56839affa1bd19ac783fe98a08d90" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1UserObjectBindings.html">UserObjectBindings</a> <a class="el" href="classOgre_1_1Renderable.html#aadd56839affa1bd19ac783fe98a08d90">Ogre::Renderable::mUserObjectBindings</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderable_8h_source.html#l00418">418</a> of file <a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreBorderPanelOverlayElement_8h_source.html">OgreBorderPanelOverlayElement.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
